Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalTextFieldUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicTextFieldUI
                              |
                              +--javax.swing.plaf.metal.MetalTextFieldUI

All Implemented Interfaces:
  ViewFactory

public class MetalTextFieldUI
extends BasicTextFieldUI

Basis of a look and feel for a JTextField.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`MetalTextFieldUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a JTextField.
`void` | `installUI(JComponent c)` Installs the UI for a component.
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed on the associated JTextComponent.

Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI
`create, createCaret, getPropertyPrefix`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalTextFieldUI

    public MetalTextFieldUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Description copied from class: `BasicTextFieldUI`
  Creates a UI for a JTextField.
  Following copied from class: `javax.swing.plaf.basic.BasicTextFieldUI`
  Parameters:
    `c` - the text field
  Returns:
    the UI

### installUI

    public void installUI(JComponent c)

  Description copied from class: `BasicTextUI`
  Installs the UI for a component. This does the following things.
  1. Set the associated component to opaque (can be changed easily by a subclass or on JTextComponent directly), which is the most common case. This will cause the component's background color to be painted.
  2. Install the default caret and highlighter into the associated component.
  3. Attach to the editor and model. If there is no model, a default one is created.
  4. create the view factory and the view hierarchy used to represent the model.
  Overrides:
    `installUI` in class `BasicTextUI`
  Following copied from class: `javax.swing.plaf.basic.BasicTextUI`
  Parameters:
    `c` - the editor component
  See Also:
    `ComponentUI.installUI(javax.swing.JComponent)`

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from class: `BasicTextFieldUI`
  This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses.
  Overrides:
    `propertyChange` in class `BasicTextFieldUI`
  Following copied from class: `javax.swing.plaf.basic.BasicTextFieldUI`
  Parameters:
    `evt` - the property change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.